from wtforms import IntegerField,StringField
from wtforms.validators import Length, Required
from wtforms_tornado import Form

class UserForm(Form):
    id = IntegerField('ID')
    username = StringField('用户名',validators=[Required(message='请填写用户名'),Length(min=3,max=5,message='请输入3-5位用户名')])
    nick_name = StringField('昵称')
    email = StringField('邮箱')
    password = StringField('密码')
    language = StringField('语言')