from wtforms import IntegerField,StringField, widgets
from wtforms.validators import Length, Required
from wtforms.widgets.core import HiddenInput
from wtforms_tornado import Form
from wtforms.fields.simple import HiddenField
from wtforms.validators import DataRequired,Length
from wtforms.fields import PasswordField

class UserForm(Form):
    # id = IntegerField('ID',widget=HiddenInput()) 隐藏字段的写法
    id = HiddenField('ID')
    username = StringField('用户名',validators=[Required(message='请填写用户名'),Length(min=3,max=5,message='请输入3-5位用户名')])
    nick_name = StringField('昵称')
    email = StringField('邮箱')
    password = PasswordField('密码')  # 显示***
    phone = StringField('手机号')
    language = StringField('语言')