from tornado import web, ioloop
from tornado.web import RedirectHandler
# 301是永久重定向， 302是临时重定向
class IndexHandler(web.RequestHandler):
    def get(self):
        self.finish('Hello Tornado!')

class LoginHandler(web.RequestHandler):
    def get(self):
        self.redirect('/')
        # print(self.reverse_url('index'))
if __name__ == "__main__":
    app = web.Application([
        web.URLSpec('/',IndexHandler,name='index'),
        web.URLSpec('/login/',LoginHandler),
        web.URLSpec('/index/',RedirectHandler,{'url':'/'})
    ],debug=True)
    app.listen(8000)
    ioloop.IOLoop.current().start()