from tornado import web, ioloop
from tornado.web import StaticFileHandler

class IndexHandler(web.RequestHandler):
    def get(self):
        self.finish('Hello Tornado!')


settings={
    'static_path':'./static/',
    'static_url_prefix':'/img/'
}

if __name__ == "__main__":
    import os
    static_url = os.path.join(os.path.dirname(os.path.abspath(__file__)),'static')
    app = web.Application([
        web.URLSpec('/',IndexHandler,name='index'),
        ('/img2/(.*)',StaticFileHandler,{'path':static_url}) # #方法3
    ],
    debug=True,
    # static_path ='./static/', #方法1
    # static_url_prefix='/img/' #方法1
    # **settings # #方法2
    )
    app.listen(8000)
    ioloop.IOLoop.current().start()

 