from tornado import web, ioloop
import aiomysql
from wtform25 import UserForm


class IndexHandler(web.RequestHandler):
    def initialize(self,mysql):
        self.mysql = mysql
        
    async def get(self):
        uf = UserForm()
        self.render('personal25.html',user_form = uf)
    async def post(self):
        user_form = UserForm(self.request.arguments)
        if user_form.validate():
            return self.finish({'msg':'success'})
        else:
            return self.finish({'msg':'error'})


        # id = self.get_body_argument('id')
        # uname = self.get_argument('username')
        # nick_name = self.get_body_argument('nick_name')
        # email = self.get_body_argument('email')
        # password = self.get_body_argument('password')
        # phone = self.get_body_argument('phone')
        # language = self.get_body_argument('language')

        # args = [uname,nick_name,email,password,phone,language]
        # async with aiomysql.create_pool(
        #     host=self.mysql.get('host'), 
        #     port=self.mysql.get('port'),
        #     user=self.mysql.get('user'), 
        #     password=self.mysql.get('password'),
        #     db=self.mysql.get('db')
        #     ) as pool:
        #     async with pool.acquire() as conn:
        #         async with conn.cursor() as cur:
        #             if not id:
        #                 await cur.execute("insert into t_user values(0,%s,%s,%s,%s,%s,%s)",args)
        #                 id = cur.lastrowid
        #                 args.insert(0,id)
        #             else:
        #                 sql = "update t_user set username = %s ,nick_name = %s,email = %s, password = %s,phone = %s, language = %s where id = %s "
        #                 args.append(id)
        #                 await cur.execute(sql,args)
        #             await conn.commit()
        #             if id:
        #                 args.pop(6)
        #                 args.insert(0,id)            
        #     self.render('personal.html',user = args)
                   


import os
base_url = os.path.dirname(os.path.abspath(__file__))
settings={
    'static_path':os.path.join(base_url,'static'),
    'static_url_prefix':'/static/',
    'template_path':os.path.join(base_url,'templates'),
    'mysql':
        {
            'host':'127.0.0.1',
            'port':3306,
            'user':'root',
            'password':'root',
            'db':'tornado_demo1'
        }
}

if __name__ == "__main__":
    app = web.Application([
        web.URLSpec('/',IndexHandler,{'mysql':settings.get('mysql')},name='index'),
    ],
    debug=True,
    **settings
    )
    app.listen(8000)
    ioloop.IOLoop.current().start()


